---
title: "How to use Mastodon"
---

Mastodon is a decentralized open-source social networking software. Mastodon uses ActivityPub to talk to other websites, so you can install Mastodon or another ActivityPub-compatible software and those can also talk to Mastodon instances.

Let's imagine 2 people who want to talk to each other on their own website, Bob creates a Mastodon instance over at `mastodon.bobland.bob` while Alice creates a [Pleroma](https://pleroma.org) instance over at `pleroma.aliceland.alice`. They can just follow each other and send posts to each other, but unlike say XMPP, you can send messages to No one! And just have your followers receive them.

It's like the decentralized nature of Email with the convenience of Twitter, or Twitter without the censorship.

Anyways, this tutorial will focus on how to use Mastodon and some basic Fediverse Etiquette

If you haven't already then go register an account over at ~vern, there is also a guide for doing that [here](/guides/register) (Make sure to enable Mastodon as a service or [contact the ~vern administrators](/staff/#admins) to have them create it for you)

## Logging in

Open up your web browser and go to [fedi.vern.cc](https://fedi.vern.cc), you will see a login screen here. Simply input the email address and password you used for registration, if you are having issues logging in then [contact the ~vern administrators](/staff/#admins) who will help you out.

Now you will see the main page, if you are a new user then you will not see posts here but you will see a list of people to follow. To get started with the Fediverse you need to follow others, pay attention to how some of the usernames have domain names and how they come from different places. This is ActivityPub at work! Different domains such as `mastodon.social` can talk with `fedi.vern.cc` and vice versa!

However, this is the tedious bit, you follow as many people as you can to create a timeline that is yours! Unlike Twitter, Mastodon sorts posts by chronological order (How recent they are) so you will have to follow a lot of people to get started.

Meanwhile you can start writing posts so that others can discover you and follow you, write a post introducing yourself or a fun fact or whatever you want just as long as it doesn't violate [our rules](https://fedi.vern.cc/about/more)

The interface is very easy to navigate, however, once you finish setting up your Mastodon account, you are encouraged to switch to a different interface. The default Mastodon interface is very slow and very heavy on system resources and it is recommend to download a Desktop client or use a client such as [bloatFE](https://bloat.vern.cc). BloatFE is very minimalist and does not consume nearly as much resources as the default frontend but it can be hard to use.

If you find BloatFE hard to use then don't use it! Just use whatever is comfortable for you! It is what we recommend but you can simply ignore our recommendation!

## Fediverse Etiquette

The Fediverse is a collection of servers that can all communicate with each other, they are federated. `fedi.vern.cc` is one server among thousands and thousands of servers. But here we must advise you with some basic Fediverse Etiquette

1. Add information about yourself before following people

It is highly recommend to include information about yourself in your profile before following anyone, some users do not follow those with empty profiles while others simply want to know your preferences such as what pronouns you use.

2. Read a person's Bio or Pinned Posts before following them

Some people however need more information or verification before they let you follow them. They might ask you to verify you are not a robot by starting a conversation with you. 

3. Make sure to add warnings to your posts

This is a very vague rule but please add warnings to your posts, if it has gore content or NSFW content then make sure to let people know before they see it. And if someone criticizes your content warning then try to understand their criticism and make sure to learn from your mistakes! Most instances have rules against NSFW content that does not have content warnings and will often block the user from their instance.

If you post NSFW content that does not include a content warning then you will be warned, your post might get deleted and if you keep violating this rule then you will be banned.

