---
title: "How to use SSH"
---

SSH stands for Secure SHell, it allows you to connect to ~vern's servers and run commands and whatnot.

You can also upload your website in the `public_html` folder and it will be available at `YOUR_USERNAME.vern.cc` or `vern.cc/~YOUR_USERNAME`

We have a dedicated guide on how to upload user sites, it can be found [here](/guides/usersites/) but this guide primarily focuses on how to actually connect to the ~vern SSH server, which is neccessary to upload user sites and whatnot.

This article assumes you have registered an account with ~vern and generated a public key. If you do not have an account at ~vern then you can check out [this page](/guides/register/) on how to create an account and an SSH key.

## GNU/Linux users

Download OpenSSH from your distribution's repositories, if you are using Debian or Ubuntu then you can run this command: `apt install openssh-client`

Then simply run `ssh YOUR_USERNAME@vern.cc` to connect. At this point, SSH might ask you to verify a "fingerprint", make sure the fingerprint on your terminal matches one of these:

* SHA256:03UCtjS9J+Hh77jHBWdevkd8dSg2Cnwo4HknGkRcZLk (ED25519)
* SHA256:Qwdlx1YLsGOcVMn9N0tVaPh1DLi/6+uSaXNR9iM1mNc (RSA)

If it does match then you can safely type yes but if it does NOT match it then you must be careful. Someone could be performing a Man-in-the-middle attack on you, try connecting again on a different network, or at a different time and place.

When you finally connect, you will be presented with a shell, here you can type commands and do whatever you want (as long as you do not violate the rules) 

## BSD Users

The procedure should be similar to the one in GNU/Linux. OpenBSD and FreeBSD include OpenSSH by default. NetBSD users can get `security/openssh` from pkgsrc. 

## MacOS users

The procedure should be similar to the one in GNU/Linux. SSH is pre-installed on most modern MacOS versions. If it isn't, you can get it via homebrew.

## Windows users

Although ~vern does not recommend the use of the Microsoft Windows operating system, we recognize that lots of people everyday use it and it also deserves a tutorial.

But first, a word of caution, the information here is not actively tested since we do not use Windows. If you find any false information then please contact the [wiki maintainers](/staff/#wiki) so they can correct it!

Windows 10 automatically includes SSH by default and you do not need to use PuTTY for it to work.

### Windows 10 Users

This guide assumes you have setup an SSH environment with your ~vern SSH key. If you have not then please set it up now using many tutorials available online.

Open a command prompt and type `ssh.exe YOUR_USERNAME@vern.cc` (Replace YOUR_USERNAME with the username you registered with) and press enter.

At this point, you will be asked to verify a fingerprint. So make sure the fingerprint on your screen is exactly the same as the following one:

* SHA256:03UCtjS9J+Hh77jHBWdevkd8dSg2Cnwo4HknGkRcZLk (ED25519)
* SHA256:Qwdlx1YLsGOcVMn9N0tVaPh1DLi/6+uSaXNR9iM1mNc (RSA)

If it is the same then you can safely proceed by typing "yes" and pressing enter, if it is not the same then proceed with caution, someone could be launching a Man-in-the-middle attack and you need to be careful, try connecting to ~vern in a different time or location.

You should now be presented with a Unix command shell where you can type commands. Using this shell is beyond this tutorial and probably will get its own wiki page in the future but you can find lots of tutorials online on how to use a Unix shell.

### Windows 8 or earlier Users

Windows 8 (or earlier) users will need to download PuTTY from [this page here.](https://www.chiark.greenend.org.uk/~sgtatham/putty/) if you already have PuTTY installed then you can proceed.

When PuTTY starts up, it will ask you to enter the server details, here you must enter the following:

* Username: YOUR_USERNAME
* Hostname: vern.cc
* Port: 22
* Protocol: SSH

Finally press Connect and PuTTY will connect to ~vern's servers.

At this point, you might be asked to verify a "fingerprint" so make sure that the fingerprint on your screen is the same as this one: 

* SHA256:03UCtjS9J+Hh77jHBWdevkd8dSg2Cnwo4HknGkRcZLk (ED25519)
* SHA256:Qwdlx1YLsGOcVMn9N0tVaPh1DLi/6+uSaXNR9iM1mNc (RSA)

If the fingerprint on your screen matches the above one then it is safe to click "yes", if not then be careful, someone could be performing a "Man-in-the-middle attack" on you and it is not safe to proceed, try again later or in a different location.

Once you click "yes" you will finally connect to ~vern safely and securely, and you will be presented with a remote shell where you can type a command, this is a Unix shell and you find many tutorials online on how to use them. Have fun!