---
title: "About ~vern's Matrix Instance"
---

We run a Matrix homeserver of our own, which means you can communicate to from other Matrix servers (and even XMPP servers using bridges) with your ~vern account, your username will appear as `@USER:vern.cc`

Our matrix instance runs locally built debian packages of [tulir's fork of synapse](https://mau.dev/maunium/synapse) under monolith mode. 

## Bots

We have an instance of maubot which runs the following:

* sedbot (@sedbot:vern.cc)
* rssbot (@rss:vern.cc)
* weatherbot (@weather:vern.cc)
* ping/echobot (@ping:vern.cc)
* XKCDBot (@xkcd:vern.cc)
* reminderbot(@reminder:vern.cc)
* urbandictionary (@urbdict:vern.cc)
* serverchecker (@servers:vern.cc)
* translate (@tl:vern.cc)
* imperial -> metric (@metric:vern.cc).

## XMPP Bridge

We also host bifrost, a XMPP bridge.

The address syntax to access XMPP from Matrix:

* Private chats: `@_jabber_USER=40DOMAIN:vern.cc`
* MUCs: `#_jabber_MUCNAME_MUCDOMAIN:vern.cc`

The address syntax to access Matrix from XMPP:

* Direct chats: `USERNAME_DOMAIN@bi.vern.cc`
* Public chats: `#ALIAS#DOMAIN@bi.vern.cc`

It also supports plumbing of existent Matrix rooms to XMPP rooms, room administrators can perform plumbing by doing the following:

* Invite `@jabber:vern.cc` into the room
* Type `!bifrost bridge xmpp-js component.domain.tld roomname` where the MUC on XMPP would be called `roomname@component.domain.tld`
* To eventually remove the plumbing you can just type `!bifrost leave`

You can also type `!bifrost help` for help on bifrost commands at any time.

## Message Retention

We currently do not have a message retention policy set, but its possible to delete all your messages when you deactivate your user by setting `erase=true` option in json.

You can also delete all your recent messages in a room with the `Remove Recent Messages` option in Element

## What clients do you host?

We host instances of [Element](https://riot.vern.cc), [Cinny](https://cinny.vern.cc) and [Hydrogen](https://h2.vern.cc).

We use our own dimension server for integrations server and default to using our [jitsi instance](https://jitsi.vern.cc/).
